SystemOrganization addCategory: #'OpenVolunteerMarketPlace-Model'!
SystemOrganization addCategory: #'OpenVolunteerMarketPlace-View'!

WAComponent subclass: #VolunteerMarketPlaceView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!VolunteerMarketPlaceView class methodsFor: 'class initialization' stamp: 'ThiagoFurtado 9/22/2012 14:31'!
initialize

	WAAdmin register: self asApplicationAt: 'openvolunteermarketplace' .! !

!VolunteerMarketPlaceView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/22/2012 14:25'!
renderContentOn: html

	html div 
		id: 'main';
		with: [ self renderHeaderOn: html ].! !

!VolunteerMarketPlaceView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/22/2012 21:26'!
renderHeaderOn: html

	html header id: 'header'; 
		with: [ 
			
			  self renderLoginForm: html.
			
			 ].! !

!VolunteerMarketPlaceView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/22/2012 23:24'!
renderLoginForm: html

	html div 
		id: 'in-header';
		with: [
			html heading 
				level: 1;
				with: [
					html anchor url: 'http://localhost:8080/openvolunteermarketplace'; with: 'Open Volunteer MarketPlace'.
					].
			html div
				id: 'login';
				with: [
					html form 
					id: 'formlogin';
					with: [
						html fieldSet
							class: 'up';
							with: [
								html label for: 'email'; with: 'email/username'. html textInput id: 'email'; type: 'text'.
								html label for: 'pwd'; with: 'password'. html textInput id: 'pwd';type: 'password'.
								html submitButton id: 'enter'; class: 'btn'; with: 'Enter'.
								]
						 ].
			].
		].! !

!VolunteerMarketPlaceView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/22/2012 23:16'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: 'Open Volunteer MarketPlace'.
	anHtmlRoot stylesheet url: 'http://localhost/openvolunteermarketplace/styles/style.css'! !

Object subclass: #Person
	instanceVariableNames: 'username email name birthday'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!
VolunteerMarketPlaceView initialize!
